<?php

namespace PublishPress\FuturePro\Modules\Workflows\Interfaces;

use PublishPress\Future\Modules\Workflows\Interfaces\StepProcessorInterface;

interface InSiteNotificationdProcessorInterface extends StepProcessorInterface
{
    public function actionCallback(array $compactedArgs, array $originalArgs, bool $triggerCallbackIsRunning = false);

    public function setRecipientSettingName(string $recipientSettingName);

    public function setBranchRouting(array $branchRouting);
}
